import request from '@/utils/request'

// 查询配置信息设置列表
export function listMallShopConfig(query) {
  return request({
    url: '/mall/mallShopConfig/list',
    method: 'get',
    params: query
  })
}

// 查询配置信息设置详细
export function getMallShopConfig(id) {
  return request({
    url: '/mall/mallShopConfig/' + id,
    method: 'get'
  })
}

// 新增配置信息设置
export function addMallShopConfig(data) {
  return request({
    url: '/mall/mallShopConfig',
    method: 'post',
    data: data
  })
}

// 修改配置信息设置
export function updateMallShopConfig(data) {
  return request({
    url: '/mall/mallShopConfig',
    method: 'put',
    data: data
  })
}

// 删除配置信息设置
export function delMallShopConfig(id) {
  return request({
    url: '/mall/mallShopConfig/' + id,
    method: 'delete'
  })
}

// 导出配置信息设置
export function exportMallShopConfig(query) {
  return request({
    url: '/mall/mallShopConfig/export',
    method: 'get',
    params: query
  })
}